Create a new outreach source
curl --request POST \
--url https://your-instance.example.com/api/outreach-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Facebook Lead Ad"
}
'import requests
url = "https://your-instance.example.com/api/outreach-sources"
payload = { "name": "Facebook Lead Ad" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Facebook Lead Ad'})
};
fetch('https://your-instance.example.com/api/outreach-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "665f1a0c0e0a4b001a2c9f30",
"name": "Facebook Lead Ad",
"isActive": true,
"isProtected": false,
"createdAt": "2026-05-18T12:34:56.000Z"
}
}{
"success": false,
"message": "Configuration is inactive and cannot process outreach requests"
}{
"success": false,
"message": "Configuration is inactive and cannot process outreach requests"
}{
"success": false,
"message": "Configuration is inactive and cannot process outreach requests"
}Outreach Sources
Create a new outreach source
Admin-only. Creates a new outreach source for the org. The reserved name “Any” is rejected, and duplicates are matched case-insensitively.
POST
/
api
/
outreach-sources
Create a new outreach source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
New source name. Must not be "Any" and must be unique (case-insensitive) within the organization.
⌘I